<html><head><title>Solar Monitoring</title>
<meta http-equiv='refresh' content='10'>

<script language="Javascript" src="//cdn.rawgit.com/Mikhus/canvas-gauges/gh-pages/download/2.1.4/all/gauge.min.js">
var gauge = new RadialGauge({
	renderTo: 'canvas-id',
}).draw();

</script>


</head><body>

<?php
//Written by Wade Elmore 
//Written for RaspberryPi running Jessie OS and Apache and PHP
//Questions, comments and suggestions welcome via email to wade_elmore@comcast.net
//This text, code and /or program(s) is intended for non commerical use.  It free ware.
//This text, code and /or program(s) is offered without warranty of any kind.
//Use this text, code and /or program(s) at your own risk.
//Revised 1710252010

//This program requires 'Logging.php' to be running and creating the "current.txt' file.

//Thanks to Andre Gruner and who wrote ModbusMaster.php

$dir = "Data/";  //Location of data files, as viewed from this file's location.
$ClassicData[60];

//Load data saved by Logging.php
$Tagf = fopen ($dir."current.txt","r");
	$Dlog_Data = fgetcsv($Tagf); //Daily high/low of selected registers.
	$ClassicData = fgetcsv($Tagf); //Selected Classis registers
	$AX1 = fgetcsv($Tagf);	//Classic 1 AUX info
	$AX2 = fgetcsv($Tagf);	//Classic 2 AUX info
fclose($Tagf);

$capacity = ($ClassicData[26] / $ClassicData[27])*100;
$updated=$ClassicData[0];

function showhours($seconds){
	$hr=number_format(($seconds/3600),$decimals=0);
	if ($hr*3600 > $seconds){
		$hr=$hr-1;
	}
	$seconds =$seconds -($hr*3600);
	$mn=number_format(($seconds/60),$decimals=0);
	if ($mn*60 > $seconds){
		$mn=$mn-1;
	}
	if (strlen($mn) ==1 ){
		$mn = '0'.$mn;
	}

	$seconds =$seconds -($mn*60);
	if (strlen($seconds) ==1 ){
		$seconds = '0'.$seconds;
	}
	$dsp=$hr.':'.$mn.':'.$seconds;
	return $dsp;

}
?>

<table ><TR><td ALIGN=CENTER ><?php echo ($updated[0].$updated[1].':'.$updated[2].$updated[3].':'.$updated[4].$updated[5]); ?>
		<TD  ALIGN=CENTER >Battery
		<td>
<td COLSPAN=2 ROWSPAN = 3 VALIGN="TOP">	<table width= "100%">
			<tr><TD>
				<td ALIGN="RIGHT">A out
				<td ALIGN="RIGHT">kWhr
				<td ALIGN="RIGHT">Ahr
			<tr>
				<td ALIGN="RIGHT">Solar 1
				<td ALIGN="RIGHT"><?php echo (number_format($ClassicData[3],$decimals=1)); ?>
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[5],$decimals=1)); ?>
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[7],$decimals=0)); ?>
			<tr>
				<td ALIGN="RIGHT">Solar 2
				<td ALIGN="RIGHT"><?php echo (number_format($ClassicData[30],$decimals=1)); ?>
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[6],$decimals=1)); ?>
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[8],$decimals=0)); ?>
			<tr>
				<td ALIGN="RIGHT">Total
				<td ALIGN="RIGHT"><?php echo (number_format(($ClassicData[3]+$ClassicData[30]),$decimals=1)); ?>
				<td ALIGN="RIGHT"><?php echo (number_format(($Dlog_Data[5]+$Dlog_Data[6]),$decimals=1)); ?>
				<td ALIGN="RIGHT"><?php echo (number_format(($Dlog_Data[7]+$Dlog_Data[8]),$decimals=0)); ?>
			<tr>
			<tr>
				<td ALIGN="RIGHT">Low Battery
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[9],$decimals=1)); ?>
			<tr>
				<td ALIGN="RIGHT">High Charge
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[17],$decimals=1)); ?>
			<tr>
				<td ALIGN="RIGHT">Low Charge
				<td ALIGN="RIGHT"><?php echo (number_format($Dlog_Data[16],$decimals=1)); ?>
			<tr>
				<td ALIGN="RIGHT">Ahr Consumed
				<td ALIGN="RIGHT"><?php echo (number_format(($Dlog_Data[1]-$Dlog_Data[2]+$Dlog_Data[7]+$Dlog_Data[8]),$decimals=0)); ?>
				<td ALIGN="RIGHT">Ahr Net
				<td ALIGN="RIGHT"><?php echo (number_format(($Dlog_Data[2]-$Dlog_Data[1]),$decimals=0)); ?>
		
		
	</table>


<tr><td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-color-Needle="blue"
data-animation-target="needle"
data-animation-rule="elastic"
data-animation-duration="10000"
data-animated-value="true"
data-animate-oninit="true"
data-stroke-ticks="true"

data-title="Battery"
data-minor-ticks="5"
data-major-ticks="40,45,50,55,60,65"

data-min-value="40"
data-max-value="65"
data-highlights='[	{"from": 40, "to": 42,"color":"red" },
			{"from": 42, "to": 48,"color":"yellow"},
			{"from": 48, "to": 54,"color":"green"},
			{"from": 54, "to": 60,"color":"yellow" },
			{"from": 60, "to": 65,"color":"red" }
]'
data-units="volts"
data-value="<?php echo ($ClassicData[1]); ?>"

></canvas>

<td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="Battery"
data-minor-ticks="5"
data-major-ticks="-100,  , -80,  , -60,  , -40,  , -20, , 0,  , 20,  , 40, ,60, , 80,  , 100"
data-min-value="-100"
data-max-value="100"
data-highlights='[	{"from": -100, "to": 0,"color":"yellow" },
			{"from": 0, "to": 80,"color":"green"},
			{"from": 80, "to": 100,"color":"yellow"}
			
]'
data-units="amps"
data-value="<?php echo ($ClassicData[23]); ?>"

></canvas>

<td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="Battery"
data-minor-ticks="5"
data-major-ticks="40,45,50,55,60,65, 70,75, 80 ,85, 90, 95, 100"
data-stroke-ticks="true"
data-min-value="40"
data-max-value="100"
data-highlights='[	{"from": 40, "to": 50,"color":"red" },
			{"from": 50, "to": 80,"color":"yellow"},
			{"from": 80, "to": 100,"color":"green"}
			
]'
data-value="<?php echo ($capacity); ?>"
data-units="% Charge"

></canvas>



<tr><td ALIGN = "CENTER"><?php echo (number_format($ClassicData[1],$decimals=1)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[23],$decimals=1)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($capacity,$decimals=1)); ?>


<TR><TD colspan=5 ALIGN=CENTER >Solar 1
<TR><td><canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="PV"
data-major-ticks="0, 10, 20, 30, 40,50,60,70, 80, 90, 100, 110, 120, 130, 140, 150, 160"
data-stroke-ticks="true"
data-min-value="00"
data-max-value="160"
data-highlights='[	{"from": 150, "to": 160,"color":"red" },
			{"from": 110, "to": 150,"color":"yellow"},
			{"from": 0, "to": 60,"color":"yellow"},
			{"from": 60, "to": 110,"color":"green"}
			
]'

data-minor-ticks="5"

data-value="<?php echo ($ClassicData[2]); ?>"
data-units="Volts"

></canvas>
<td><canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="PV"
data-major-ticks="0, 10, 20, 30, 40,50"
data-stroke-ticks="true"
data-min-value="00"
data-max-value="50"
data-highlights='[	{"from": 40.3, "to": 50,"color":"red" },
			{"from": 0, "to": 40.3,"color":"green"}
			
]'

data-minor-ticks="5"

data-value="<?php echo ($ClassicData[7]); ?>"
data-units="Amps"

></canvas>
<td><canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="PV"
data-color-title="white"
data-major-ticks="0,500,1000,1500,2000,2500,3000,3500"
data-min-value="00"
data-max-value="3500"
data-highlights='[	{"from": 3256.5, "to": 3500,"color":"red" },
			{"from": 0, "to": 3256.5,"color":"green"}
			
]'
data-minor-ticks="5"

data-value="<?php echo ($ClassicData[5]); ?>"
data-units="Watts"
></canvas>
<td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="Classic"
data-major-ticks="0, 10, 20, 30, 40,50,60,70, 80, 90, 100, 110"
data-min-value="00"
data-max-value="110"
data-highlights='[	{"from": 99, "to": 110,"color":"red" },
			{"from": 0, "to": 99,"color":"green"}
			
]'

data-minor-ticks="5"

data-value="<?php echo ($ClassicData[3]); ?>"
data-units="Amps"


></canvas>

<td>	<table>	
		
		<tr>	<td>Mode<td ALIGN="RIGHT"><?php echo ($ClassicData[6]);?> 
		<tr>	<td>Absorb<td ALIGN="RIGHT"><?php echo (showhours($Dlog_Data[12])); ?>
		<tr>	<td>Equalize<td ALIGN="RIGHT"><?php echo (showhours($Dlog_Data[14])); ?>
		<tr>	<td>Float<td ALIGN="RIGHT"><?php echo (showhours($Dlog_Data[10])); ?>
		<tr>	<td>AUX 1 <td ALIGN="CENTER"> <?php 
				if ($AX1[0] == "On"){
					echo ('<IMG SRC= "green.gif">');
				}else{
					echo ('<IMG SRC= "Gray.gif">');
				}
				?>
			<td><?php echo ($AX1[2]);?>	
		<tr>	<td>AUX 2 <td ALIGN="CENTER"> <?php 
				if ($AX1[1] == "On"){
					echo ('<IMG SRC= "green.gif">');
				}else{
					if ($AX1[4] != "Whizbang Junior"){
						echo ('<IMG SRC= "Gray.gif">');
					}				
				}
				?>
			<td><?php echo ($AX1[4]);?>
	</table>
<tr>	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[2],$decimals=1)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[7],$decimals=1)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[5],$decimals=0)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[3],$decimals=1)); ?>


<TR><TD colspan=5 ALIGN=CENTER >Solar 2
<TR><td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="PV"
data-major-ticks="0, 10, 20, 30, 40,50,60,70, 80, 90, 100, 110, 120, 130, 140, 150, 160"
data-stroke-ticks="true"
data-min-value="00"
data-max-value="160"
data-highlights='[	{"from": 150, "to": 160,"color":"red" },
			{"from": 110, "to": 150,"color":"yellow"},
			{"from": 0, "to": 60,"color":"yellow"},
			{"from": 60, "to": 110,"color":"green"}
			
]'

data-minor-ticks="5"

data-value="<?php echo ($ClassicData[29]); ?>"
data-units="Volts"

></canvas>
<td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="PV"
data-major-ticks="0, 10, 20, 30, 40,50"
data-stroke-ticks="true"
data-min-value="00"
data-max-value="50"
data-highlights='[	{"from": 40.3, "to": 50,"color":"red" },
			{"from": 0, "to": 40.3,"color":"green"}
			
]'

data-minor-ticks="5"

data-value="<?php echo ($ClassicData[34]); ?>"
data-units="Amps"

></canvas>


<td>



<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"

data-title="PV"
data-color-title="white"
data-major-ticks="0,500,1000,1500,2000,2500,3000,3500"
data-min-value="00"
data-max-value="3500"
data-highlights='[	{"from": 3256.5, "to": 3500,"color":"red" },
			{"from": 0, "to": 3256.5,"color":"green"}
			
]'
data-minor-ticks="5"

data-value="<?php echo ($ClassicData[32]); ?>"
data-units="Watts"
></canvas>
<td>
<canvas data-type="radial-gauge" 
data-width="150"
data-height="150"
data-color-title="white"
data-needle-type="arrow"
data-needle="true"
data-color-plate="black"
data-color-numbers="white"
data-color-units="white"
data-animation-rule="bounce"
data-animated-value="true"
data-value-box="false"
data-color-minor-ticks="black"
data-value-box-stroke="4"


data-title="Classic"
data-major-ticks="0, 10, 20, 30, 40,50,60,70, 80, 90, 100, 110"
data-min-value="00"
data-max-value="110"
data-highlights='[	{"from": 99, "to": 110,"color":"red" },
			{"from": 0, "to": 99,"color":"green"}
			
]'

data-minor-ticks="5"

data-value="<?php echo ($ClassicData[30]); ?>"
data-units="Amps"


></canvas>

<td>	<table>	
		
		<tr>	<td>Mode<td ALIGN="RIGHT"><?php echo ($ClassicData[33]);?> 
		<tr>	<td>Absorb<td ALIGN="RIGHT"><?php echo (showhours($Dlog_Data[13])); ?>
		<tr>	<td>Equalize<td ALIGN="RIGHT"><?php echo (showhours($Dlog_Data[15])); ?>
		<tr>	<td>Float<td ALIGN="RIGHT"><?php echo (showhours($Dlog_Data[11])); ?>
		<tr>	<td>AUX 1 <td ALIGN="CENTER"> <?php 
				if ($AX2[0] == "On"){
					echo ('<IMG SRC= "green.gif">');
				}else{
					echo ('<IMG SRC= "Gray.gif">');
				}
				?>
			<td><?php echo ($AX2[2]);?>	
		<tr>	<td>AUX 2 <td ALIGN="CENTER"> <?php 
				if ($AX2[1] == "On"){
					echo ('<IMG SRC= "green.gif">');
				}else{
					echo ('<IMG SRC= "Gray.gif">');
				}
				?>
			<td><?php echo ($AX2[4]);?>
	</table>
<tr>	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[29],$decimals=1)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[34],$decimals=1)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[32],$decimals=0)); ?>
	<td ALIGN = "CENTER"><?php echo (number_format($ClassicData[30],$decimals=1)); ?>
</table>
<?php


?>
</body></html>

